clang 10.0.0git

Classes | Namespaces | Typedefs | Functions
ProgramState_Fwd.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
Include dependency graph for ProgramState_Fwd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | llvm::IntrusiveRefCntPtrInfo< const clang::ento::ProgramState >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.

## Typedefs
typedef IntrusiveRefCntPtr< const ProgramState > | clang::ento::ProgramStateRef

## Functions
void | clang::ento::ProgramStateRetain (const ProgramState *state)
| Increments the number of times this state is referenced. More...
void | clang::ento::ProgramStateRelease (const ProgramState *state)
| Decrement the number of times this state is referenced. More...